Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08190 Graphics Major Always Jan 22, 2022, 18:36 Feb 17, 2022, 22:01
Tester Osso View Status Public Platform MAME (Official Binary)
Assigned To jkm900 Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver snes.cpp
Version 0.239 Fixed in Version 0.241 Build 64-bit
Fixed in Git Commit 25c99d9 Github Pull Request # #9300
Summary MESS-specific 08190: snes [wildguns and clones]: Flickers heavily after entering gameplay in the first level
Description Once advanced past the menus and immediately after starting the first level, the game starts to flicker heavily.
Steps To Reproduce Load the romset, start a game.
Additional Information Also affects the bootleg wldgunsb in snesb.cpp.

First reported by Hammy.
Github Commit
Flags
Regression Version 0.238
Affected Sets / Systems snes [wildguns and clones]
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.19710
kmg
Tester
Jan 23, 2022, 08:58
I've verified that https://github.com/mamedev/mame/commit/db40a44d0093bdb2ffa508a9452a81e05750f56e is the common regression point for both the snes and snesb versions.
User avatar
No.19788
Tafoid
Administrator
Feb 16, 2022, 21:48
Fixed by cam900
https://github.com/mamedev/mame/commit/25c99d94506b2ce1e0218332aeefcfb7da02f09a

Of note, however, this revert broke the one fixed game I noticed, WORDTRIS, which never was able to work due to controller stopping to respond when at the screen to select options.